From d1ad22fa60e9d52bac246391b2fb6de57fb067b7 Mon Sep 17 00:00:00 2001
From: Bhaskar <niceguy108@gmail.com>
Date: Wed, 22 May 2013 13:08:02 +0530
Subject: [PATCH] * Bugfix in Firmware: initialising variables

Under specific circumstances, these variables would have been used without initialisation.

---
 src/target/firmware/apps/loader/main.c    |    2 +-
 src/target/firmware/layer1/mframe_sched.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/target/firmware/apps/loader/main.c b/src/target/firmware/apps/loader/main.c
index 8bdbc74..c74c045 100644
--- a/src/target/firmware/apps/loader/main.c
+++ b/src/target/firmware/apps/loader/main.c
@@ -213,7 +213,7 @@ static void cmd_handler(uint8_t dlci, struct msgb *msg)
 
 	uint8_t command = msgb_pull_u8(msg);
 
-	int res;
+	int res = 0;
 
 	flash_lock_t lock;
 
diff --git a/src/target/firmware/layer1/mframe_sched.c b/src/target/firmware/layer1/mframe_sched.c
index f3a6b43..047d709 100644
--- a/src/target/firmware/layer1/mframe_sched.c
+++ b/src/target/firmware/layer1/mframe_sched.c
@@ -343,7 +343,7 @@ static const struct mframe_sched_item *sched_set_for_task[32] = {
 /* encodes a channel number according to 08.58 Chapter 9.3.1 */
 uint8_t mframe_task2chan_nr(enum mframe_task mft, uint8_t ts)
 {
-	uint8_t cbits;
+	uint8_t cbits = 0;
 
 	switch (mft) {
 	case MF_TASK_BCCH_NORM:
-- 
1.7.9

